Skip to main content

Get Config For Single Setting Type And Version

GET 

/settings/v1/setting_type/:setting_type_id/v/:setting_version_id

Get a specific version of a specific setting type.

Required Permissions:

  • For any player (including themselves) any of: setting-config:read, setting:*:*

Request

Path Parameters

    setting_type_id Setting Type Idrequired
    setting_version_id Setting Version Idrequired

Header Parameters

    if-match any

    Precondition check if the resource's current ETag matches the provided values. * can be used to match any existing value.

    See https://www.rfc-editor.org/rfc/rfc9110#name-if-match for more information

    if-none-match any

    Precondition check if the resource's current ETag does NOT match the provided values. * can be used to match existing value, causing the request to fail.

    See https://www.rfc-editor.org/rfc/rfc9110#name-if-none-match for more information

    if-modified-since any

    Precondition check if the resource's Last-Modified date is newer than the provided date. Ignored if the If-None-Match header is provided. Only valid for GET/HEAD endpoints.

    See https://www.rfc-editor.org/rfc/rfc9110#name-if-modified-since for more information

    if-unmodified-since any

    Precondition check if the resource's Last-Modified date is older than the provided date. Ignored if the If-Match header is provided.

    See https://www.rfc-editor.org/rfc/rfc9110#name-if-unmodified-since for more information

Responses

Successful Response

Response Headers

  • ETag

    string

    The ETag for the resource. Used for caching and preconditions.

  • Last-Modified

    string

    The Last-Modified date for the resource. Used for caching and preconditions.

Schema

    allow_update Allow Update (boolean)

    Default value: true

    Are players allowed to set/update keys to this version of the setting type? Does not affect getting or deleting existing settings.

    key_regex Key Regex (string)

    Default value: ^.+$

    Regex that is used to verify keys at assignment time

    value_jsonschema objectrequired

    jsonschema that is used to verify values at assignment time

    custom_data

    object

    Custom data that was provided when the setting type was created

    property name* string
Loading...